jvx.volume

## Class PwTetraRivara

- java.lang.Object
- - jv.object.PsObject
  - - jvx.project.PjWorkshop
    - - jvx.volume.PwTetraRivara

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf, PjWorkshopIf

      public class PwTetraRivara
      extends PjWorkshop

  Refines tetrahedra with the method of Rivara. It must be instantiated since it needs to store historical information related to the foregoing refinements. Stability of the refinement is only guaranteed while the workshop is opened and there are no vertices or tetrahedra added or removed.
  See Also:
    Serialized Form
  Author:
    Samy Khadem-Al-Charieh
  Version:
    09.03.15, 2.00 revised (kp) Moved to jvx.volume from dev.volume.
    26.02.10, 1.10 revised (ur) Fixed orientation of tetrahedra.
    07.11.00, 1.00 created (sk) by outsourcing from PgTetraSet.

- - ### Field Summary

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

    - ### Fields inherited from interface jv.project.PjWorkshopIf

      `MODE_BUG, MODE_STANDARD, MODE_VALIDATE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PwTetraRivara()` Registers the vertices and elements of the passed tetra set and makes initialization.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `init()` Initialize and reset instance variables after call to super.init().
    `void` | `refine(java.util.Vector tetraList)` Refines a given set of tetrahedrons and the influenced neighbours.
    `void` | `refineGlobalIntoEight()`
    `static void` | `refineGlobalIntoEight(PgTetraSet geom)` Refines by dividing each tetrahedron into eight children.
    `void` | `reset()` Reset
    `void` | `setGeometry(PgGeometry geom)` Store geometry to be refined.

    - ### Methods inherited from class jvx.project.PjWorkshop

      `cancel, close, getDisplay, getDisplays, getGeometry, getMode, getSavedGeometry, getViewer, isModal, isStandalone, ok, removeGeometry, setDisplay, setDisplays, setModal, setMode, setStandalone, setViewer, update`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getFather, getName, setParent`

- - ### Constructor Detail

    - #### PwTetraRivara

          public PwTetraRivara()

      Registers the vertices and elements of the passed tetra set and makes initialization.

  - ### Method Detail

    - #### init

          public void init()

      Initialize and reset instance variables after call to super.init().
      Overrides:
        `init` in class `PjWorkshop`

    - #### reset

          public void reset()

      Reset
      Overrides:
        `reset` in class `PjWorkshop`

    - #### setGeometry

          public void setGeometry(PgGeometry geom)

      Store geometry to be refined.
      Specified by:
        `setGeometry` in interface `PjWorkshopIf`
      Overrides:
        `setGeometry` in class `PjWorkshop`
      Parameters:
        `geom` - the workshop modifies this geometry.
      Version:
        03.02.07, 2.00 revised (kp) Method now overloads PjWorkshop#setGeometry(PgGeometry).

    - #### refineGlobalIntoEight

          public void refineGlobalIntoEight()

    - #### refineGlobalIntoEight

          public static void refineGlobalIntoEight(PgTetraSet geom)

      Refines by dividing each tetrahedron into eight children. A sketch can be found in microtetra.gif. Finally the neighbourhood information is updated.
      Version:
        26.02.10, 1,10 revised (ur) Fixed orientation of tetrahedra.
        23.06.07, 1.00 created (kp)

    - #### refine

          public void refine(java.util.Vector tetraList)

      Refines a given set of tetrahedrons and the influenced neighbours.
      Parameters:
        `tetraList` - A `Vector` with a list of indices of tetrahedrons to be refined.

"

The software JavaView? is copyright protected. All Rights Reserved.
"